Page MenuHomePhabricator

Default content model should apply to non-customised messages in the MediaWiki: namespace
Closed, ResolvedPublic

Description

JSON pages in the MediaWiki: namespace (like MediaWiki:Visualeditor-specialcharinspector-characterlist-insert) are not pretty-formatted when displaying default content (the default, non-modified message for given language).

Bad:


(https://www.mediawiki.org/wiki/MediaWiki:Visualeditor-specialcharinspector-characterlist-insert)
Good:

Event Timeline

matmarex created this task.Mar 16 2015, 8:59 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 8:59 PM
Krenair renamed this task from JSON pages in the MediaWiki: namespace (like MediaWiki:Visualeditor-specialcharinspector-characterlist-insert) not pretty-formatted when displaying default content to Default content model should apply to to non-customised messages in the MediaWiki: namespace.Mar 18 2015, 2:24 AM
Krenair set Security to None.
Krenair added a subscriber: Krenair.
Krenair updated the task description. (Show Details)Mar 18 2015, 2:27 AM
Jdforrester-WMF renamed this task from Default content model should apply to to non-customised messages in the MediaWiki: namespace to Default content model should apply to non-customised messages in the MediaWiki: namespace.Apr 8 2015, 11:01 AM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

VE-MW no longer uses that message (has its own special character system), but it's still around due to VE core (just with no special content model)... We should fix MW core to respect the default content model in cases where the MediaWiki: page does not exist anyway.

Change 203053 had a related patch set uploaded (by Alex Monk):
Don't ignore content model for default message texts

https://gerrit.wikimedia.org/r/203053

Krenair claimed this task.Apr 9 2015, 1:08 PM

Change 203053 merged by jenkins-bot:
Don't ignore content model for default message texts

https://gerrit.wikimedia.org/r/203053

Krenair closed this task as Resolved.May 3 2015, 10:13 PM